Bug 993063 - [abrt] dia-0.97.2-5.fc19: destroy_object_list: Process /usr/bin/dia was killed by signal 6 (SIGABRT)
[abrt] dia-0.97.2-5.fc19: destroy_object_list: Process /usr/bin/dia was kille...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:05ef45f3fb3d9748f2f10030001...
:
: 998124 1045145 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 10:39 EDT by tastybug
Modified: 2015-02-18 09:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:04:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.78 KB, text/plain)
2013-08-05 10:39 EDT, tastybug
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-05 10:39 EDT, tastybug
no flags Details
File: core_backtrace (15.65 KB, text/plain)
2013-08-05 10:39 EDT, tastybug
no flags Details
File: dso_list (14.19 KB, text/plain)
2013-08-05 10:39 EDT, tastybug
no flags Details
File: environ (1.86 KB, text/plain)
2013-08-05 10:39 EDT, tastybug
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-05 10:39 EDT, tastybug
no flags Details
File: maps (84.84 KB, text/plain)
2013-08-05 10:39 EDT, tastybug
no flags Details
File: open_fds (894 bytes, text/plain)
2013-08-05 10:40 EDT, tastybug
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2013-08-05 10:40 EDT, tastybug
no flags Details
File: var_log_messages (15.29 KB, text/plain)
2013-08-05 10:40 EDT, tastybug
no flags Details
DIA model that causes crashes (1.60 KB, application/x-dia-diagram)
2013-08-15 09:32 EDT, tastybug
no flags Details

  None (edit)
Description tastybug 2013-08-05 10:39:13 EDT
Description of problem:
This error occurs after editing+saving+closing a diagram. The diagram contains only elements from the 'Database' sheet: tables and references.

Version-Release number of selected component:
dia-0.97.2-5.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        dia /home/philipp/repos/teacherapp/model.dia
crash_function: destroy_object_list
executable:     /usr/bin/dia
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 destroy_object_list at object.c:338
 #7 layer_destroy at diagramdata.c:229
 #8 diagram_data_finalize at diagramdata.c:140
 #10 ddisplay_really_destroy at display.c:1361
 #15 gtk_object_dispose at gtkobject.c:421
 #17 ddisp_destroy at display.c:1200
 #18 ddisplay_close at display.c:1253
 #19 ddisplay_delete at disp_callbacks.c:981
 #20 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #25 gtk_widget_event_internal at gtkwidget.c:5017

Potential duplicate: bug 893167
Comment 1 tastybug 2013-08-05 10:39:20 EDT
Created attachment 782851 [details]
File: backtrace
Comment 2 tastybug 2013-08-05 10:39:26 EDT
Created attachment 782852 [details]
File: cgroup
Comment 3 tastybug 2013-08-05 10:39:29 EDT
Created attachment 782853 [details]
File: core_backtrace
Comment 4 tastybug 2013-08-05 10:39:33 EDT
Created attachment 782854 [details]
File: dso_list
Comment 5 tastybug 2013-08-05 10:39:42 EDT
Created attachment 782855 [details]
File: environ
Comment 6 tastybug 2013-08-05 10:39:47 EDT
Created attachment 782856 [details]
File: limits
Comment 7 tastybug 2013-08-05 10:39:51 EDT
Created attachment 782857 [details]
File: maps
Comment 8 tastybug 2013-08-05 10:40:07 EDT
Created attachment 782858 [details]
File: open_fds
Comment 9 tastybug 2013-08-05 10:40:12 EDT
Created attachment 782859 [details]
File: proc_pid_status
Comment 10 tastybug 2013-08-05 10:40:16 EDT
Created attachment 782860 [details]
File: var_log_messages
Comment 11 Jiri Popelka 2013-08-15 09:13:10 EDT
(In reply to tastybug from comment #0)
> Potential duplicate: bug 893167

Yes, the same backtrace occurs in bug #893167 and bug #893167.
Pity it's not reproducible on demand.
Comment 12 tastybug 2013-08-15 09:18:48 EDT
It seems to crash every time for me. Ill try to strip down my dia file to the bare necessary content (that still causes crashes) and attach it.
Comment 13 tastybug 2013-08-15 09:32:23 EDT
Created attachment 786939 [details]
DIA model that causes crashes

I can reproduce the crash on my machine doing the following steps:

1. Open the attached dia file 
2. double click one of the entities, say "student"
3. add an attribute, just provide some name
4. save the file
5. close the window associated with that dia file -> crash
Comment 14 Jiri Popelka 2013-08-15 09:46:14 EDT
That does the trick. Thanks !
Comment 15 Jiri Popelka 2013-08-16 05:05:48 EDT
I can't reproduce it with upstream git snapshot, so it probably has already been fixed upstream, but I haven't been able to locate the commit, so we'll probably need to wait for next release.
Comment 16 Jiri Popelka 2013-08-17 10:58:36 EDT
*** Bug 998124 has been marked as a duplicate of this bug. ***
Comment 17 Jiri Popelka 2013-12-20 10:43:22 EST
*** Bug 1045145 has been marked as a duplicate of this bug. ***
Comment 18 Christian Mehlis 2014-04-13 12:04:12 EDT
Another user experienced a similar problem:

            

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        dia
crash_function: destroy_object_list
executable:     /usr/bin/dia
kernel:         3.12.5-200.fc19.x86_64
package:        dia-0.97.2-5.fc19
reason:         dia killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Fedora Update System 2014-09-08 04:31:35 EDT
dia-0.97.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dia-0.97.3-1.fc21
Comment 20 Fedora Update System 2014-09-08 12:08:36 EDT
Package dia-0.97.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dia-0.97.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10269/dia-0.97.3-1.fc21
then log in and leave karma (feedback).
Comment 21 Fedora End Of Life 2015-01-09 17:14:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-02-18 09:04:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.